curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/user \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"managers": [
"<string>"
],
"ownedBy": {
"account": "<string>"
}
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true
}
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Retrieve all teams associated with the authenticated user. If the user is a tenant admin, returns all teams for the tenant. Pagination is available based on query parameters
curl --request GET \
--url https://{controlPlaneURL}/api/svc/v1/teams/user \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "<string>",
"description": "<string>",
"tenantName": "<string>",
"accountId": "<string>",
"createdBySubject": {
"subjectId": "<string>",
"subjectType": "user",
"subjectSlug": "<string>",
"subjectDisplayName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"manifest": {
"type": "team",
"name": "<string>",
"members": [
"<string>"
],
"managers": [
"<string>"
],
"ownedBy": {
"account": "<string>"
}
},
"isEditable": true,
"members": [
"<string>"
],
"metadata": {
"createdByScim": true
}
}
],
"pagination": {
"total": 100,
"offset": 0,
"limit": 10
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Number of items per page
1 <= x <= 100010
Number of items to skip
x >= 00
Filter teams by type
team, sso-team Was this page helpful?